.\" $NetBSD: mkbootimage.8,v 1.6 2002/02/13 08:18:25 ross Exp $
.\"
.\" Copyright (c) 1999 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"          This product includes software developed for the
.\"          NetBSD Project.  See http://www.NetBSD.org/ for
.\"          information about NetBSD.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
.\"
.Dd April 3, 1999
.Dt MKBOOTIMAGE 8 alpha
.Os
.Sh NAME
.Nm mkbootimage
.Nd turn Alpha bootstrap programs into bootable images
.Sh SYNOPSIS
.Nm /usr/mdec/mkbootimage
.Op Fl nv
.Ar infile
.Op Ar outfile
.Sh DESCRIPTION
The
.Nm
utility creates bootable image files from
.Nx Ns Tn /alpha
bootstrap programs.  Bootable image
files can be placed directly on disk or tape to create bootable
media which can be booted by the SRM console.  This is
primarily useful for creating bootable tapes or disk sets with the
.Pa /usr/mdec/ustarboot
bootstrap program, or for creating firmware upgrade media
using firmware upgrade programs.
.Pp
The bootstrap program
.Ar infile
is padded to a 512-byte boundary, has a properly formed
Alpha Boot Block prepended, and is written to the output file
.Ar outfile .
If no output file is specified, the result is written to
standard output.
.Pp
The
.Nm
utility does not install bootstrap programs to make
disks bootable.  To do that, use
.Xr installboot 8 .
Similarly, it is not necessary to use
.Nm
to create images to boot over the network; network-capable
bootstrap programs are usable without modification.
.Pp
The options recognized by
.Nm
are as follows:
.Bl -tag -width flag
.It Fl n
Do not actually write the result to the output file or
standard output.
.It Fl v
Print information about what
.Nm
is doing.
.El
.Pp
The
.Nm
utility exits 0 on success, and \*[Gt]0 if an error occurs.
.Sh FILES
.Bl -tag -width /usr/mdec/ustarboot -compact
.It Pa /usr/mdec/ustarboot
.Dq ustar
file system bootstrap program
.El
.Sh EXAMPLES
.Bd -literal -offset indent
mkbootimage as200_v5_8.exe as200_v5_8.exe.bootimage
.Ed
.Pp
Create a bootable image from the (firmware image) file
.Pa as200_v5_8.exe .
That bootable image could then be written to floppy,
disk, CD-ROM, or tape to create bootable firmware
update media.
.Pp
.Bd -literal -offset indent
(mkbootimage /usr/mdec/ustarboot; tar cvf - netbsd) | \\
    dd of=/dev/rst0
.Ed
.Pp
Make a bootable image from the bootstrap program
.Pa /usr/mdec/ustarboot ,
concatenate it with a tar file containing a kernel,
and write the output to a tape.  This is an example of
how to create a tape which boots a kernel.
.Sh SEE ALSO
.Xr boot 8 ,
.Xr installboot 8
.Sh HISTORY
The
.Nx Ns Tn /alpha
.Nm
command first appeared in
.Nx 1.4 .
.Sh AUTHORS
The
.Nm
utility was written by Chris Demetriou.
